
---- Handles special and default level settings ----
-------------------------------------------------------------------------------

Levels = {
	{
		name = "Many Small Crysts",
		minCrystSize = 18, 
		maxCrystSize = 60,
		crystNumFactor = 1.5
	},
	{
		name = "Fewer, Large Crysts",
		minCrystSize = 100, 
		maxCrystSize = 140,
		crystNumFactor = 0.8
	},	
	{
		name = "Jittery Crysts",
		crystDirChangeProbability = 40
	},	
	{
		name = "Fast Crysts",
		crystSpeedFactor = 1.7
	},
	{
		name = "More Crysts",
		crystNumFactor = 1.25
	};
	types = 5,
	standard = {
		name = "Standard",
		minCrystSize = 35, 
		maxCrystSize = 100,
		crystDirChangeProbability = 100,
		crystSpeedFactor = 1.0,
		crystNumFactor = 1.0
	},
}

for i=1, Levels.types do
	setmetatable(Levels[i], {__index = Levels.standard})
end

function Levels:randomize()
	Level = self[math.random(1, self.types)]
end

Level = Levels.standard
